<?php
    $strTitle .= ' | Browser | ';
    $strInput = $_GET["browser"];

    $bValidString = false;
# prüfen, ob es diesen Browser schon gibt in der DB
    $strSQLstring = "SELECT browser FROM ".$bCounter_dbPrefix."visits WHERE type='human' AND browser!='unknown' GROUP BY browser";
    $SQLresult = $bCounterDB->query($strSQLstring);
    for ( $i = 0; $i < mysql_num_rows($SQLresult); $i++ ) {
        if ( $strInput === mysql_result( $SQLresult, $i, 0 ) ) {
# die Eingabe ist gültig
            $bValidString = true; # merken
            break; # Schleife abbrechen
        }
    }

    if ( $bValidString ) {
        $strBrowser = getBrowserString($_GET["browser"], "");
        $strTitle .= $strBrowser;
        $strDivBody .= '<h2>Diagramm</h2>';
        $strDivBody .= '<div class="table">';
        $strDivBody .= '<img src="./'.$bCounter->get_graph_name( "browser", array($strInput) ).'" width="800" height="300" alt="Browser, '.$strBrowser.'" />';
        $strDivBody .= '</div>';

        $strDivBody .= '<h2>Charts</h2>';

        $strSQLstring = "SELECT count(*) FROM ".$bCounter_dbPrefix."visits WHERE browser='$strInput'";
        $iBesucherGesamt = mysql_result( $bCounterDB->query($strSQLstring), 0, 0 );
        $strSQLstring = "SELECT browser, browser_version, count(browser) AS anzahl
                         FROM ".$bCounter_dbPrefix."visits
                         WHERE browser='$strInput'
                         GROUP BY browser, browser_version
                         ORDER BY anzahl DESC, browser_version ASC";
        $SQLresult_all = $bCounterDB->query($strSQLstring);

        $strDivBody .= '<table>'."\n";
        $strDivBody .= '<tr><th>#</th><th>Browser</th><th>Anzahl</th><th>Anteil</th></tr>'."\n";
        for ( $i = 0; $i < mysql_num_rows($SQLresult_all); $i++ ) {
            $strBrowser  = mysql_result($SQLresult_all, $i, "browser");
            $strVersion  = mysql_result($SQLresult_all, $i, "browser_version");
            $iBesucher   = mysql_result($SQLresult_all, $i, "anzahl");
            $strDivBody .= '<tr>'."\n";
            $strDivBody .= '<td class="right">'.($i+1).'.</td>'."\n";
            $strDivBody .= '<td><img src="./img/browser/'.getBrowserString_img($strBrowser).'.png" width="14" height="14" alt="'.getBrowserString( $strBrowser, "" ).'" />&nbsp;'.getBrowserString( $strBrowser, $strVersion ).'</td>'."\n";
            $strDivBody .= '<td class="right">'.zahl($iBesucher).'</td>'."\n";
            $strDivBody .= '<td class="right">'.zahl(100*$iBesucher/$iBesucherGesamt, 2).'%</td>'."\n";
            $strDivBody .= '</tr>'."\n";
        }
        $strDivBody .= '<tr>'."\n";
        $strDivBody .= '<td></td>'."\n";
        $strDivBody .= '<td class="right"><i>'.mysql_num_rows($SQLresult_all).' gesamt</i></td>'."\n";
        $strDivBody .= '<td class="right">'.zahl($iBesucherGesamt).'</td>'."\n";
        $strDivBody .= '<td class="right"></td>'."\n";
        $strDivBody .= '</tr>'."\n";

        $strDivBody .= '</table>'."\n";
    }else{
        $strTitle .= "Nicht gefunden";
        $strDivBody .= '<h2>Fehler</h2>';
        $strDivBody .= '<span class="table">';
        $strDivBody .= '<p>Leider wurde der gesuchte Browser nicht gefunden.</p>';
        $strDivBody .= '</span>';

    }

?>